/* -*- C++ -*- Time-stamp: <19 Nov 00 19:29:01 Michael Bischoff> */

/*****************************************************************************/
/*									     */
/*									     */
/*	QMatchIt version 1.0 -- file fieldGraphics.cpp			     */
/*									     */
/*	Implementation of the sprite classes of QMatchIt		     */
/*	written by Michael Bischoff (Michael.Bischoff@gmx.net)		     */
/*	November-2000							     */
/*	see COPYRIGHT.qmatchit for Copyright details			     */
/*									     */
/*									     */
/*****************************************************************************/

#include "fieldGraphics.h"

// create a new sprite. All the variable data is derived from
// virtual functions of the instance of a superclass of the field class

fieldGraphics::fieldGraphics(field *a_field, int x, int y)
: QCanvasSprite(0, QMatchItGraphics::getCanvas()) {
    fp = a_field;
    setSequence(QMatchItGraphics::getPixmapArray());
    move(x * QMatchItGraphics::getXScale(), y * QMatchItGraphics::getYScale());
    setZ(a_field->getZ());
    setFrame(a_field->baseFrame());
    if (a_field->isAnimated())
	setAnimated(TRUE);
    show();
}

void fieldGraphics::setXY(int x, int y) {
    move(x * QMatchItGraphics::getXScale(), y * QMatchItGraphics::getYScale());
}

void fieldGraphics::advance(int stage) {
    if (stage) {
	int new_frame = fp->currentFrame();
	if (new_frame != frame()) {
	    setFrame(new_frame);
	}
    }
}
